> ## Documentation Index
> Fetch the complete documentation index at: https://signatureapi-daf4ee54.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Redirect URL

> Configure where recipients are redirected after completing signing ceremonies

After a ceremony is finished, whether successful or not, we can redirect to the `redirect_url` defined in a ceremony created manually:

* [Custom authentication](/docs/integrations/power-automate/actions/create-ceremony-custom#param-redirect-url)
* [Email link authentication](/docs/integrations/power-automate/actions/create-ceremony-email-link#param-redirect-url)

Upon redirection, the following query parameters are appended to the URL:

| Parameter Name    | Description                                                                                  |
| :---------------- | :------------------------------------------------------------------------------------------- |
| `envelope_id`     | The ID of the envelope.                                                                      |
| `recipient_id`    | The ID of the recipient.                                                                     |
| `ceremony_result` | The result of the ceremony: `ceremony.completed`, `ceremony.declined`, or `ceremony.failed`. |

For example, if the `redirect_url` is set to `https://www.example.com`, after a successful ceremony it will redirect to:

`https://www.example.com/?ceremony_result=ceremony.completed&envelope_id=5b7be28c-6c7c-4aaa-b25f-66879e8d0957&recipient_id=re_0sgQC0cejYRC8wRsT5N9ll`

You can use these query parameters to process the ceremony result in your application.
